org.apache.poi.xddf.usermodel.text

## Enum UnderlineType

- java.lang.Object
- - java.lang.Enum<UnderlineType>
  - - org.apache.poi.xddf.usermodel.text.UnderlineType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<UnderlineType>

      public enum UnderlineType
      extends java.lang.Enum<UnderlineType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DASH`
    `DASH_HEAVY`
    `DASH_LONG`
    `DASH_LONG_HEAVY`
    `DOT_DASH`
    `DOT_DASH_HEAVY`
    `DOT_DOT_DASH`
    `DOT_DOT_DASH_HEAVY`
    `DOTTED`
    `DOTTED_HEAVY`
    `DOUBLE`
    `HEAVY`
    `NONE`
    `SINGLE`
    `WAVY`
    `WAVY_DOUBLE`
    `WAVY_HEAVY`
    `WORDS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UnderlineType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static UnderlineType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DASH

          public static final UnderlineType DASH

    - #### DASH_HEAVY

          public static final UnderlineType DASH_HEAVY

    - #### DASH_LONG

          public static final UnderlineType DASH_LONG

    - #### DASH_LONG_HEAVY

          public static final UnderlineType DASH_LONG_HEAVY

    - #### DOUBLE

          public static final UnderlineType DOUBLE

    - #### DOT_DASH

          public static final UnderlineType DOT_DASH

    - #### DOT_DASH_HEAVY

          public static final UnderlineType DOT_DASH_HEAVY

    - #### DOT_DOT_DASH

          public static final UnderlineType DOT_DOT_DASH

    - #### DOT_DOT_DASH_HEAVY

          public static final UnderlineType DOT_DOT_DASH_HEAVY

    - #### DOTTED

          public static final UnderlineType DOTTED

    - #### DOTTED_HEAVY

          public static final UnderlineType DOTTED_HEAVY

    - #### HEAVY

          public static final UnderlineType HEAVY

    - #### NONE

          public static final UnderlineType NONE

    - #### SINGLE

          public static final UnderlineType SINGLE

    - #### WAVY

          public static final UnderlineType WAVY

    - #### WAVY_DOUBLE

          public static final UnderlineType WAVY_DOUBLE

    - #### WAVY_HEAVY

          public static final UnderlineType WAVY_HEAVY

    - #### WORDS

          public static final UnderlineType WORDS

  - ### Method Detail

    - #### values

          public static UnderlineType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UnderlineType c : UnderlineType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UnderlineType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.